<AuthState name="${state.entry}" class="ch.nevis.esauth.auth.states.scripting.ScriptState" final="false">
    <ResultCond name="confirm" next="${state.done}"/>
    <ResultCond name="main" next="${state.exit.1}"/>
    <ResultCond name="epd" next="${state.exit.2}"/>
    <ResultCond name="epd_artifact" next="${state.exit.3}"/>
    
    <Response value="AUTH_CONTINUE">
        <Gui name="saml_dispatcher" label="title.saml.failed">
            <GuiElem name="lasterror" type="error" label="error.saml.failed"/>
        </Gui>
    </Response>

    <!-- TODO: variables -->
    <property name="parameter.logoutConfirmation" value="false"/>
    <property name="parameter.spInitiated" value="true"/>
    <property name="parameter.epdMode" value="${param.epd_idp_binding_mode}"/>
    <property name="parameter.atb" value="${param.atb}"/>
    <property name="parameter.epd_atb" value="${param.epd_atb}"/>
    <property name="script" value="file:///var/opt/nevisauth/default/conf/idp_dispatcher.groovy"/>

</AuthState>